Subject: Re: linux-next: build warning after merge of the f2fs tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 12 Jan 2021 16:09:30 +1100

Hi Chao,

On Mon, 11 Jan 2021 15:54:19 +0800 Chao Yu <[email-masked]> wrote:
>
> On 2021/1/11 7:35, Jonathan Corbet wrote:
> > On Mon, 11 Jan 2021 07:33:54 +1100
> > Stephen Rothwell <[email-masked]> wrote:
> >   
> >> On Thu, 7 Jan 2021 19:28:19 +0800 Chao Yu <[email-masked]> wrote:  
> >>>
> >>> On 2021/1/7 11:11, Stephen Rothwell wrote:  
> >>>>
> >>>> After merging the f2fs tree, today's linux-next build (htmldocs) produced
> >>>> this warning:
> >>>>
> >>>> Documentation/ABI/testing/sysfs-fs-f2fs:382: WARNING: Inline emphasis start-string without end-string.  
> >>>
> >>> IIUC, should I remove "/*" and "*/" for newly added entry in sysfs-fs-f2fs?  
> >>
> >> Sorry, I don't know.  Cc'ing Jon. >  
> > Removing the comment markers would make the warning go away, but won't
> > lead to a satisfactory rendering in HTML.  If you want that too, make the
> > table look like the others immediately above it in the same file.  
> 
> Copied, thanks for your reminder.
> 
> I've fixed it and resent the patch:
> 
> https://lore.kernel.org/linux-f2fs-devel/[email-masked]/T/#u

I am now getting the following::

Documentation/ABI/testing/sysfs-fs-f2fs:382: WARNING: Malformed table.
Text in column margin in table line 15.

=====  ===================== =================================
value  sb status macro       description
0x1    SBI_IS_DIRTY          dirty flag for checkpoint
0x2    SBI_IS_CLOSE          specify unmounting
0x4    SBI_NEED_FSCK         need fsck.f2fs to fix
0x8    SBI_POR_DOING         recovery is doing or not
0x10   SBI_NEED_SB_WRITE     need to recover superblock
0x20   SBI_NEED_CP           need to checkpoint
0x40   SBI_IS_SHUTDOWN       shutdown by ioctl
0x80   SBI_IS_RECOVERED      recovered orphan/data
0x100  SBI_CP_DISABLED       CP was disabled last mount
0x200  SBI_CP_DISABLED_QUICK CP was disabled quickly
0x400  SBI_QUOTA_NEED_FLUSH  need to flush quota info in CP
0x800  SBI_QUOTA_SKIP_FLUSH  skip flushing quota in current CP
0x1000 SBI_QUOTA_NEED_REPAIR quota file may be corrupted
0x2000 SBI_IS_RESIZEFS       resizefs is in process
====== ===================== =================================

-- 
Cheers,
Stephen Rothwell